> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List returns all authentication provider configurations for the tenant.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/auth-configs
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/auth-configs:
    get:
      tags:
        - Auth Config
      summary: List
      description: List returns all authentication provider configurations for the tenant.
      operationId: c1.api.auth_config.v1.TenantAuthConfigService.List
      parameters:
        - in: query
          name: page_size
          schema:
            description: The maximum number of results to return per page.
            format: int32
            readOnly: false
            type: integer
        - in: query
          name: page_token
          schema:
            description: A pagination token returned from a previous List call.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.auth_config.v1.TenantAuthConfigServiceListResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.TenantAuthConfig.List(ctx, operations.C1APIAuthConfigV1TenantAuthConfigServiceListRequest{})\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TenantAuthConfigServiceListResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.tenantAuthConfig.list();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.auth_config.v1.TenantAuthConfigServiceListResponse:
      description: The TenantAuthConfigServiceListResponse message.
      properties:
        list:
          description: The list of authentication provider configurations.
          items:
            $ref: '#/components/schemas/c1.api.auth_config.v1.TenantAuthConfig'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: >-
            A token to retrieve the next page of results, or empty if there are
            no more results.
          readOnly: false
          type: string
      title: Tenant Auth Config Service List Response
      type: object
      x-speakeasy-name-override: TenantAuthConfigServiceListResponse
    c1.api.auth_config.v1.TenantAuthConfig:
      description: >
        The TenantAuthConfig message.


        This message contains a oneof named provider_config. Only a single field
        of the following list may be set at a time:
          - google
          - microsoft
          - okta
          - onelogin
          - jumpcloud
          - pingone
          - oidc
          - c1Local
      properties:
        bootstrapDomains:
          description: >-
            Bootstrap routing: email domains that route unknown users to this
            config.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        c1Local:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigC1Local'
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deprecationDeadline:
          format: date-time
          readOnly: false
          type: string
        deprecationMessage:
          description: User-visible message shown when status=DEPRECATED.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        google:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigGoogle'
        id:
          description: The id field.
          readOnly: false
          type: string
        isDefaultBootstrap:
          description: The isDefaultBootstrap field.
          readOnly: false
          type: boolean
        jumpcloud:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigJumpCloud'
        microsoft:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigMicrosoft'
        oidc:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigOIDC'
        okta:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigOkta'
        onelogin:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigOneLogin'
        pingone:
          $ref: '#/components/schemas/c1.api.auth_config.v1.AuthConfigPingOne'
        providerType:
          description: >-
            Provider type (read-only after creation — provider config determines
            type).
          enum:
            - AUTH_CONFIG_PROVIDER_TYPE_UNSPECIFIED
            - AUTH_CONFIG_PROVIDER_TYPE_GOOGLE
            - AUTH_CONFIG_PROVIDER_TYPE_MICROSOFT
            - AUTH_CONFIG_PROVIDER_TYPE_OKTA
            - AUTH_CONFIG_PROVIDER_TYPE_ONELOGIN
            - AUTH_CONFIG_PROVIDER_TYPE_JUMPCLOUD
            - AUTH_CONFIG_PROVIDER_TYPE_PINGONE
            - AUTH_CONFIG_PROVIDER_TYPE_OIDC
            - AUTH_CONFIG_PROVIDER_TYPE_C1_LOCAL
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        status:
          description: The status field.
          enum:
            - AUTH_CONFIG_STATUS_UNSPECIFIED
            - AUTH_CONFIG_STATUS_ACTIVE
            - AUTH_CONFIG_STATUS_DEPRECATED
            - AUTH_CONFIG_STATUS_DISABLED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: Tenant Auth Config
      type: object
      x-speakeasy-name-override: TenantAuthConfig
    c1.api.auth_config.v1.AuthConfigC1Local:
      description: The AuthConfigC1Local message.
      nullable: true
      properties:
        delegatedVerifiers:
          description: The delegatedVerifiers field.
          items:
            enum:
              - DELEGATED_VERIFIER_TYPE_UNSPECIFIED
              - DELEGATED_VERIFIER_TYPE_GOOGLE
              - DELEGATED_VERIFIER_TYPE_MICROSOFT
              - DELEGATED_VERIFIER_TYPE_GITHUB
            type: string
            x-speakeasy-unknown-values: allow
          nullable: true
          readOnly: false
          type: array
      title: Auth Config C 1 Local
      type: object
      x-speakeasy-name-override: AuthConfigC1Local
    c1.api.auth_config.v1.AuthConfigGoogle:
      description: The AuthConfigGoogle message.
      nullable: true
      properties:
        hostedDomains:
          description: The hostedDomains field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Auth Config Google
      type: object
      x-speakeasy-name-override: AuthConfigGoogle
    c1.api.auth_config.v1.AuthConfigJumpCloud:
      description: The AuthConfigJumpCloud message.
      nullable: true
      properties:
        oidcClientId:
          description: The oidcClientId field.
          readOnly: false
          type: string
        oidcClientSecret:
          description: Write-only. Never returned in get/list.
          readOnly: false
          type: string
      title: Auth Config Jump Cloud
      type: object
      x-speakeasy-name-override: AuthConfigJumpCloud
    c1.api.auth_config.v1.AuthConfigMicrosoft:
      description: The AuthConfigMicrosoft message.
      nullable: true
      properties:
        tenantIds:
          description: The tenantIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Auth Config Microsoft
      type: object
      x-speakeasy-name-override: AuthConfigMicrosoft
    c1.api.auth_config.v1.AuthConfigOIDC:
      description: The AuthConfigOIDC message.
      nullable: true
      properties:
        exactMatchClaims:
          additionalProperties:
            type: string
          description: The exactMatchClaims field.
          readOnly: false
          type: object
        issuerId:
          description: The issuerId field.
          readOnly: false
          type: string
        oidcClientId:
          description: The oidcClientId field.
          readOnly: false
          type: string
        oidcClientSecret:
          description: The oidcClientSecret field.
          readOnly: false
          type: string
        scopes:
          description: The scopes field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Auth Config Oidc
      type: object
      x-speakeasy-name-override: AuthConfigOIDC
    c1.api.auth_config.v1.AuthConfigOkta:
      description: The AuthConfigOkta message.
      nullable: true
      properties:
        domain:
          description: The domain field.
          readOnly: false
          type: string
        oidcClientId:
          description: The oidcClientId field.
          readOnly: false
          type: string
        oidcClientSecret:
          description: Write-only. Never returned in get/list.
          readOnly: false
          type: string
      title: Auth Config Okta
      type: object
      x-speakeasy-name-override: AuthConfigOkta
    c1.api.auth_config.v1.AuthConfigOneLogin:
      description: The AuthConfigOneLogin message.
      nullable: true
      properties:
        domain:
          description: The domain field.
          readOnly: false
          type: string
        oidcClientId:
          description: The oidcClientId field.
          readOnly: false
          type: string
        oidcClientSecret:
          description: The oidcClientSecret field.
          readOnly: false
          type: string
      title: Auth Config One Login
      type: object
      x-speakeasy-name-override: AuthConfigOneLogin
    c1.api.auth_config.v1.AuthConfigPingOne:
      description: The AuthConfigPingOne message.
      nullable: true
      properties:
        environmentId:
          description: The environmentId field.
          readOnly: false
          type: string
        oidcClientId:
          description: The oidcClientId field.
          readOnly: false
          type: string
        oidcClientSecret:
          description: The oidcClientSecret field.
          readOnly: false
          type: string
      title: Auth Config Ping One
      type: object
      x-speakeasy-name-override: AuthConfigPingOne
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````